org.eclipse.oomph.setup.projects

## Interface ProjectsPackage.Literals

- Enclosing interface:
    ProjectsPackage

      public static interface ProjectsPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EClass` | `PATH_VARIABLE_TASK` The meta object literal for the '`Path Variable Task`' class.
    `static EAttribute` | `PATH_VARIABLE_TASK__NAME` The meta object literal for the 'Name' attribute feature.
    `static EAttribute` | `PATH_VARIABLE_TASK__URI` The meta object literal for the 'URI' attribute feature.
    `static EClass` | `PROJECTS_IMPORT_TASK` The meta object literal for the '`Import Task`' class.
    `static EReference` | `PROJECTS_IMPORT_TASK__SOURCE_LOCATORS` The meta object literal for the 'Source Locators' containment reference list feature.

- - ### Field Detail

    - #### PROJECTS_IMPORT_TASK

          static final EClass PROJECTS_IMPORT_TASK

      The meta object literal for the '`Import Task`' class.
      See Also:
        `ProjectsImportTaskImpl`, `ProjectsPackageImpl.getProjectsImportTask()`
      Generated

    - #### PROJECTS_IMPORT_TASK__SOURCE_LOCATORS

          static final EReference PROJECTS_IMPORT_TASK__SOURCE_LOCATORS

      The meta object literal for the 'Source Locators' containment reference list feature.
      Generated

    - #### PATH_VARIABLE_TASK

          static final EClass PATH_VARIABLE_TASK

      The meta object literal for the '`Path Variable Task`' class.
      See Also:
        `PathVariableTaskImpl`, `ProjectsPackageImpl.getPathVariableTask()`
      Generated

    - #### PATH_VARIABLE_TASK__NAME

          static final EAttribute PATH_VARIABLE_TASK__NAME

      The meta object literal for the 'Name' attribute feature.
      Generated

    - #### PATH_VARIABLE_TASK__URI

          static final EAttribute PATH_VARIABLE_TASK__URI

      The meta object literal for the 'URI' attribute feature.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html